DeluxHostAPI Reference
Storage Boxes

Delete a Storage Box SSH key

DELETE
/v1/services/{id}/storage/ssh-keys/{fingerprint}

A fingerprint is base64 and usually contains / and +: URL-encode it\n(SHA256%3A…), or write it in base64url — - for +, _ for / — which needs no\nescaping.

Authorization

apiToken storage:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:write

Path Parameters

id*integer

The service id, as returned by GET /v1/services.

fingerprint*string

fingerprint from GET …/storage/ssh-keys.

Response Body

Removed.

application/json
  1. response
ok*boolean
curl -X DELETE 'https://api.deluxhost.net/v1/services/0/storage/ssh-keys/string' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "ok": true}